mirror of
https://github.com/BobTheBlinker/android_kernel_motorola_sm6375.git
synced 2026-10-29 03:01:39 -04:00
net: Fix (nearly-)kernel-doc comments for various functions
Fix incorrect start markers, wrapped summary lines, missing section breaks, incorrect separators, and some name mismatches. Signed-off-by: Ben Hutchings <[email protected]> Signed-off-by: David S. Miller <[email protected]>
This commit is contained in:
parent
a55b138b1d
commit
2c53040f01
46 changed files with 163 additions and 103 deletions
|
|
@ -50,7 +50,8 @@ static inline u8 dccp_ackvec_state(const u8 *cell)
|
|||
return *cell & ~DCCPAV_MAX_RUNLEN;
|
||||
}
|
||||
|
||||
/** struct dccp_ackvec - Ack Vector main data structure
|
||||
/**
|
||||
* struct dccp_ackvec - Ack Vector main data structure
|
||||
*
|
||||
* This implements a fixed-size circular buffer within an array and is largely
|
||||
* based on Appendix A of RFC 4340.
|
||||
|
|
@ -76,7 +77,8 @@ struct dccp_ackvec {
|
|||
struct list_head av_records;
|
||||
};
|
||||
|
||||
/** struct dccp_ackvec_record - Records information about sent Ack Vectors
|
||||
/**
|
||||
* struct dccp_ackvec_record - Records information about sent Ack Vectors
|
||||
*
|
||||
* These list entries define the additional information which the HC-Receiver
|
||||
* keeps about recently-sent Ack Vectors; again refer to RFC 4340, Appendix A.
|
||||
|
|
@ -121,6 +123,7 @@ static inline bool dccp_ackvec_is_empty(const struct dccp_ackvec *av)
|
|||
* @len: length of @vec
|
||||
* @nonce: whether @vec had an ECN nonce of 0 or 1
|
||||
* @node: FIFO - arranged in descending order of ack_ackno
|
||||
*
|
||||
* This structure is used by CCIDs to access Ack Vectors in a received skb.
|
||||
*/
|
||||
struct dccp_ackvec_parsed {
|
||||
|
|
|
|||
|
|
@ -46,6 +46,7 @@ bool ccid_support_check(u8 const *ccid_array, u8 array_len)
|
|||
* ccid_get_builtin_ccids - Populate a list of built-in CCIDs
|
||||
* @ccid_array: pointer to copy into
|
||||
* @array_len: value to return length into
|
||||
*
|
||||
* This function allocates memory - caller must see that it is freed after use.
|
||||
*/
|
||||
int ccid_get_builtin_ccids(u8 **ccid_array, u8 *array_len)
|
||||
|
|
|
|||
|
|
@ -113,6 +113,7 @@ static u32 ccid3_hc_tx_idle_rtt(struct ccid3_hc_tx_sock *hc, ktime_t now)
|
|||
/**
|
||||
* ccid3_hc_tx_update_x - Update allowed sending rate X
|
||||
* @stamp: most recent time if available - can be left NULL.
|
||||
*
|
||||
* This function tracks draft rfc3448bis, check there for latest details.
|
||||
*
|
||||
* Note: X and X_recv are both stored in units of 64 * bytes/second, to support
|
||||
|
|
@ -161,9 +162,11 @@ static void ccid3_hc_tx_update_x(struct sock *sk, ktime_t *stamp)
|
|||
}
|
||||
}
|
||||
|
||||
/*
|
||||
* Track the mean packet size `s' (cf. RFC 4342, 5.3 and RFC 3448, 4.1)
|
||||
/**
|
||||
* ccid3_hc_tx_update_s - Track the mean packet size `s'
|
||||
* @len: DCCP packet payload size in bytes
|
||||
*
|
||||
* cf. RFC 4342, 5.3 and RFC 3448, 4.1
|
||||
*/
|
||||
static inline void ccid3_hc_tx_update_s(struct ccid3_hc_tx_sock *hc, int len)
|
||||
{
|
||||
|
|
@ -270,6 +273,7 @@ out:
|
|||
/**
|
||||
* ccid3_hc_tx_send_packet - Delay-based dequeueing of TX packets
|
||||
* @skb: next packet candidate to send on @sk
|
||||
*
|
||||
* This function uses the convention of ccid_packet_dequeue_eval() and
|
||||
* returns a millisecond-delay value between 0 and t_mbi = 64000 msec.
|
||||
*/
|
||||
|
|
|
|||
|
|
@ -133,6 +133,7 @@ static inline u8 tfrc_lh_is_new_loss(struct tfrc_loss_interval *cur,
|
|||
* @rh: Receive history containing a fresh loss event
|
||||
* @calc_first_li: Caller-dependent routine to compute length of first interval
|
||||
* @sk: Used by @calc_first_li in caller-specific way (subtyping)
|
||||
*
|
||||
* Updates I_mean and returns 1 if a new interval has in fact been added to @lh.
|
||||
*/
|
||||
int tfrc_lh_interval_add(struct tfrc_loss_hist *lh, struct tfrc_rx_hist *rh,
|
||||
|
|
|
|||
|
|
@ -315,6 +315,7 @@ static void __three_after_loss(struct tfrc_rx_hist *h)
|
|||
* @ndp: The NDP count belonging to @skb
|
||||
* @calc_first_li: Caller-dependent computation of first loss interval in @lh
|
||||
* @sk: Used by @calc_first_li (see tfrc_lh_interval_add)
|
||||
*
|
||||
* Chooses action according to pending loss, updates LI database when a new
|
||||
* loss was detected, and does required post-processing. Returns 1 when caller
|
||||
* should send feedback, 0 otherwise.
|
||||
|
|
@ -387,7 +388,7 @@ static inline struct tfrc_rx_hist_entry *
|
|||
}
|
||||
|
||||
/**
|
||||
* tfrc_rx_hist_rtt_prev_s: previously suitable (wrt rtt_last_s) RTT-sampling entry
|
||||
* tfrc_rx_hist_rtt_prev_s - previously suitable (wrt rtt_last_s) RTT-sampling entry
|
||||
*/
|
||||
static inline struct tfrc_rx_hist_entry *
|
||||
tfrc_rx_hist_rtt_prev_s(const struct tfrc_rx_hist *h)
|
||||
|
|
|
|||
|
|
@ -611,6 +611,7 @@ static inline u32 tfrc_binsearch(u32 fval, u8 small)
|
|||
* @s: packet size in bytes
|
||||
* @R: RTT scaled by 1000000 (i.e., microseconds)
|
||||
* @p: loss ratio estimate scaled by 1000000
|
||||
*
|
||||
* Returns X_calc in bytes per second (not scaled).
|
||||
*/
|
||||
u32 tfrc_calc_x(u16 s, u32 R, u32 p)
|
||||
|
|
@ -659,6 +660,7 @@ u32 tfrc_calc_x(u16 s, u32 R, u32 p)
|
|||
/**
|
||||
* tfrc_calc_x_reverse_lookup - try to find p given f(p)
|
||||
* @fvalue: function value to match, scaled by 1000000
|
||||
*
|
||||
* Returns closest match for p, also scaled by 1000000
|
||||
*/
|
||||
u32 tfrc_calc_x_reverse_lookup(u32 fvalue)
|
||||
|
|
|
|||
|
|
@ -352,6 +352,7 @@ static inline int dccp_bad_service_code(const struct sock *sk,
|
|||
* @dccpd_opt_len: total length of all options (5.8) in the packet
|
||||
* @dccpd_seq: sequence number
|
||||
* @dccpd_ack_seq: acknowledgment number subheader field value
|
||||
*
|
||||
* This is used for transmission as well as for reception.
|
||||
*/
|
||||
struct dccp_skb_cb {
|
||||
|
|
|
|||
|
|
@ -350,6 +350,7 @@ static int __dccp_feat_activate(struct sock *sk, const int idx,
|
|||
* @feat_num: feature to activate, one of %dccp_feature_numbers
|
||||
* @local: whether local (1) or remote (0) @feat_num is meant
|
||||
* @fval: the value (SP or NN) to activate, or NULL to use the default value
|
||||
*
|
||||
* For general use this function is preferable over __dccp_feat_activate().
|
||||
*/
|
||||
static int dccp_feat_activate(struct sock *sk, u8 feat_num, bool local,
|
||||
|
|
@ -446,6 +447,7 @@ static struct dccp_feat_entry *dccp_feat_list_lookup(struct list_head *fn_list,
|
|||
* @head: list to add to
|
||||
* @feat: feature number
|
||||
* @local: whether the local (1) or remote feature with number @feat is meant
|
||||
*
|
||||
* This is the only constructor and serves to ensure the above invariants.
|
||||
*/
|
||||
static struct dccp_feat_entry *
|
||||
|
|
@ -504,6 +506,7 @@ static int dccp_feat_push_change(struct list_head *fn_list, u8 feat, u8 local,
|
|||
* @feat: one of %dccp_feature_numbers
|
||||
* @local: whether local (1) or remote (0) @feat_num is being confirmed
|
||||
* @fval: pointer to NN/SP value to be inserted or NULL
|
||||
*
|
||||
* Returns 0 on success, a Reset code for further processing otherwise.
|
||||
*/
|
||||
static int dccp_feat_push_confirm(struct list_head *fn_list, u8 feat, u8 local,
|
||||
|
|
@ -691,6 +694,7 @@ int dccp_feat_insert_opts(struct dccp_sock *dp, struct dccp_request_sock *dreq,
|
|||
* @feat: an NN feature from %dccp_feature_numbers
|
||||
* @mandatory: use Mandatory option if 1
|
||||
* @nn_val: value to register (restricted to 4 bytes)
|
||||
*
|
||||
* Note that NN features are local by definition (RFC 4340, 6.3.2).
|
||||
*/
|
||||
static int __feat_register_nn(struct list_head *fn, u8 feat,
|
||||
|
|
@ -760,6 +764,7 @@ int dccp_feat_register_sp(struct sock *sk, u8 feat, u8 is_local,
|
|||
* dccp_feat_nn_get - Query current/pending value of NN feature
|
||||
* @sk: DCCP socket of an established connection
|
||||
* @feat: NN feature number from %dccp_feature_numbers
|
||||
*
|
||||
* For a known NN feature, returns value currently being negotiated, or
|
||||
* current (confirmed) value if no negotiation is going on.
|
||||
*/
|
||||
|
|
@ -790,6 +795,7 @@ EXPORT_SYMBOL_GPL(dccp_feat_nn_get);
|
|||
* @sk: DCCP socket of an established connection
|
||||
* @feat: NN feature number from %dccp_feature_numbers
|
||||
* @nn_val: the new value to use
|
||||
*
|
||||
* This function is used to communicate NN updates out-of-band.
|
||||
*/
|
||||
int dccp_feat_signal_nn_change(struct sock *sk, u8 feat, u64 nn_val)
|
||||
|
|
@ -930,6 +936,7 @@ static const struct ccid_dependency *dccp_feat_ccid_deps(u8 ccid, bool is_local)
|
|||
* @fn: feature-negotiation list to update
|
||||
* @id: CCID number to track
|
||||
* @is_local: whether TX CCID (1) or RX CCID (0) is meant
|
||||
*
|
||||
* This function needs to be called after registering all other features.
|
||||
*/
|
||||
static int dccp_feat_propagate_ccid(struct list_head *fn, u8 id, bool is_local)
|
||||
|
|
@ -953,6 +960,7 @@ static int dccp_feat_propagate_ccid(struct list_head *fn, u8 id, bool is_local)
|
|||
/**
|
||||
* dccp_feat_finalise_settings - Finalise settings before starting negotiation
|
||||
* @dp: client or listening socket (settings will be inherited)
|
||||
*
|
||||
* This is called after all registrations (socket initialisation, sysctls, and
|
||||
* sockopt calls), and before sending the first packet containing Change options
|
||||
* (ie. client-Request or server-Response), to ensure internal consistency.
|
||||
|
|
@ -1284,6 +1292,7 @@ confirmation_failed:
|
|||
* @feat: NN number, one of %dccp_feature_numbers
|
||||
* @val: NN value
|
||||
* @len: length of @val in bytes
|
||||
*
|
||||
* This function combines the functionality of change_recv/confirm_recv, with
|
||||
* the following differences (reset codes are the same):
|
||||
* - cleanup after receiving the Confirm;
|
||||
|
|
@ -1379,6 +1388,7 @@ fast_path_failed:
|
|||
* @feat: one of %dccp_feature_numbers
|
||||
* @val: value contents of @opt
|
||||
* @len: length of @val in bytes
|
||||
*
|
||||
* Returns 0 on success, a Reset code for ending the connection otherwise.
|
||||
*/
|
||||
int dccp_feat_parse_options(struct sock *sk, struct dccp_request_sock *dreq,
|
||||
|
|
|
|||
|
|
@ -710,6 +710,7 @@ EXPORT_SYMBOL_GPL(dccp_rcv_state_process);
|
|||
/**
|
||||
* dccp_sample_rtt - Validate and finalise computation of RTT sample
|
||||
* @delta: number of microseconds between packet and acknowledgment
|
||||
*
|
||||
* The routine is kept generic to work in different contexts. It should be
|
||||
* called immediately when the ACK used for the RTT sample arrives.
|
||||
*/
|
||||
|
|
|
|||
|
|
@ -527,6 +527,7 @@ int dccp_insert_option_mandatory(struct sk_buff *skb)
|
|||
* @val: NN value or SP array (preferred element first) to copy
|
||||
* @len: true length of @val in bytes (excluding first element repetition)
|
||||
* @repeat_first: whether to copy the first element of @val twice
|
||||
*
|
||||
* The last argument is used to construct Confirm options, where the preferred
|
||||
* value and the preference list appear separately (RFC 4340, 6.3.1). Preference
|
||||
* lists are kept such that the preferred entry is always first, so we only need
|
||||
|
|
|
|||
|
|
@ -214,6 +214,7 @@ void dccp_write_space(struct sock *sk)
|
|||
* dccp_wait_for_ccid - Await CCID send permission
|
||||
* @sk: socket to wait for
|
||||
* @delay: timeout in jiffies
|
||||
*
|
||||
* This is used by CCIDs which need to delay the send time in process context.
|
||||
*/
|
||||
static int dccp_wait_for_ccid(struct sock *sk, unsigned long delay)
|
||||
|
|
|
|||
Loading…
Reference in a new issue